import * as React from "react";
export interface TokensTabBuyProps {
    foundationAddress: string;
    network: string;
}
export interface TokensTabBuyStates {
    isBuyComplete: boolean;
}
export declare class TokensTabBuy extends React.Component<TokensTabBuyProps, TokensTabBuyStates> {
    constructor(props: TokensTabBuyProps);
    render(): JSX.Element | null;
    private onBuyComplete;
}
